Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Incentives

Returns active supply and borrow incentives including reward APRs, reward tokens and incentive metadata. Includes all Aave incentives distributed through Merkl.

Historical incentives are not included but can be provided on a custom basis.

GET /v2/incentives/latest

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/incentives/latest?apiKey=YOUR_KEY"

Example response (snippet)

{
  "date": "2026-05-09",
  "incentives": [
    {
      "type": "merkl",
      "action": "LEND",
      "chainId": 9745,
      "description": "Earn rewards on your net lending position (GHO supply minus GHO, USDT0, USDe borrows) on Aave on Plasma",
      "marketSlug": "aave-v3-plasma",
      "name": "Lend GHO on Aave",
      "reserveAddress": "0xb77E872A68C62CfC0dFb02C067Ecc3DA23B4bbf3",
      "poolAddress": "0x925a2A7214Ed92428B5b1B090F80b25700095e12",
      "rewardApr": 2.247442245244538,
      "rewardToken": "aPlaGHO",
      "source": {
        "campaignId": "955819264554302747",
        "opportunityId": "917101306019921918",
        "explorerAddress": "0xAd571979b4245E163A7E2119EB4dFd94AfDaebC5"
      }
    },
    {
      "type": "merkl",
      "action": "BORROW",
      "chainId": 9745,
      "description": "Earn rewards by borrowing USDT0 on Aave",
      "marketSlug": "aave-v3-plasma",
      "name": "Borrow USDT0 from Aave on Plasma",
      "reserveAddress": "0xB8CE59FC3717ada4C02eaDF9682A9e934F625ebb",
      "poolAddress": "0x925a2A7214Ed92428B5b1B090F80b25700095e12",
      "rewardApr": 0.5758447631854962,
      "rewardToken": "USDT0",
      "source": {
        "campaignId": "4629520058373043870",
        "opportunityId": "7910560457128142012",
        "explorerAddress": "0xCBBC427b5658672768E11BFDa00879839DB4785F"
      }
    }
  ],
  "lastUpdated": "2026-05-09T15:02:03.050Z"
}